atkmm: Atk::Document Class Reference

atkmm 2.22.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Atk::Document Class Reference

The ATK interface which allows access to a DOM associated with on object. More...

`#include <atkmm/document.h>`

Inheritance diagram for Atk::Document:
[legend]

List of all members.

## Public Member Functions
AtkDocument* | gobj ()
| Provides access to the underlying C GObject.
const AtkDocument* | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_document_type () const
| Gets a string indicating the document type.
gpointer | get_document ()
| Gets a gpointer that points to an instance of the DOM.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Document > | wrap (AtkDocument* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface which allows access to a DOM associated with on object.

This interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Member Function Documentation

gpointer Atk::Document::get_document | ( |  | ) |

Gets a gpointer that points to an instance of the DOM.

It is up to the caller to check atk_document_get_type to determine how to cast this pointer.

Returns:
  A gpointer that points to an instance of the DOM.

Glib::ustring Atk::Document::get_document_type | ( |  | ) | const

Gets a string indicating the document type.

Returns:
  A string indicating the document type.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Document > wrap | ( | AtkDocument * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.